PROGRAM checkarg

  REAL :: x=5,y=7,z=9

  CALL PRINTargs(x,y,z)
!-- oops, this call is missing the third argument!
  CALL PRINTargs(x,y)
     
END PROGRAM checkarg

SUBROUTINE PRINTargs(a,b,c)

  REAL :: a,b,c
      
  WRITE(*,*) 'sub PRINTargs: a = ',a
  WRITE(*,*) 'sub PRINTargs: b = ',b
  WRITE(*,*) 'sub PRINTargs: c = ',c

END SUBROUTINE PRINTargs
